<?php 
/* This script gets called when a form is submitted */
require_once('../config.php');

if( $_POST ){

    $ref_url = str_replace( 'thank-you-email/email.php', '', "http://".$_SERVER['HTTP_HOST'].$_SERVER['REQUEST_URI'] );

    $from_email = $_POST['txt_email'];
    $from_name = $_POST['txt_name'];
    $to = EMAIL_TO;

    $subject = EMAIL_SUBJECT;

    $labels = array('Name', 
                    'Email Address', 
                    'Phone Number');

    $values = array($_POST['txt_name'], 
                    $_POST['txt_email'], 
                    $_POST['txt_phone'] );

    $user_inputs = '';

    for ($i=0; $i < sizeof($labels); $i++) { 
        $user_inputs .= '<tr bgcolor="#EAF2FA">
                            <td colspan="2">
                                <font style="font-family:sans-serif;font-size:12px"><strong>' . $labels[$i] . '</strong></font>
                            </td>
                        </tr>
                        <tr bgcolor="#FFFFFF">
                            <td width="20">&nbsp;</td>
                            <td>
                                <font style="font-family:sans-serif;font-size:12px">' . $values[$i] . '</font>
                            </td>
                        </tr>';
    }

    $message = '<table width="99%" border="0" cellpadding="1" cellspacing="0" bgcolor="#EAEAEA">
                    <tbody>
                        <tr>
                            <td>
                                <table width="100%" border="0" cellpadding="5" cellspacing="0" bgcolor="#FFFFFF">
                                    <tbody>' . $user_inputs . '</tbody>
                                </table>
                            </td>
                        </tr>
                    </tbody>
                </table>';

    $message = $message;

    $raw_message = strip_tags($message, '<strong></strong>');
    $raw_message = preg_replace("/\s+/", " ", $raw_message);
    $raw_message = str_replace("&nbsp;", "", $raw_message);
    $raw_message = str_replace("<strong>", "<br><br><strong>", $raw_message);
    $raw_message = str_replace("</strong>", ":</strong>", $raw_message);

    $params = array( 
        'host' => $_SERVER['SERVER_NAME'], 
        'domain' => $ref_url, 
        'landing_page_name' => SITE_NAME . ' - ' . SITE_TAGLINE, 
        'email' => EMAIL_TO, 
        'message' => $raw_message,
        'sender_name' => $_POST['txt_name'], 
        'sender_email' => $_POST['txt_email'],
        'action' => 'store_entries'
    );

    log_entries($raw_message);
    
    // send admin noification
    send_email($to, $from_email, $from_name, $from_email, $subject, $message);

    if (defined('EMAIL_CC') && EMAIL_CC != ""){
        send_email(EMAIL_CC, $from_email, $from_name, $from_email, $subject, $message);
    }
    if (defined('EMAIL_BCC') && EMAIL_BCC != ""){
        send_email(EMAIL_BCC, $from_email, $from_name, $from_email, $subject, $message);
    }

    // send user notification
    if( ENABLE_USER_NOTIFICATION ){
        send_email($_POST['txt_email'], EMAIL_TO, SITE_NAME, EMAIL_TO, USER_NOTIFICATION_SUBJECT, '<p>Thanks for contacting us. The information you provided is as follows;</p>' . $message );
    }

    $base_url = parse_url( $ref_url );
    $ty_url = $base_url['scheme'] . '://' .  $base_url['host'] . $base_url['path'];
    echo $ty_url . 'thank-you-email/thank-you.html?success';

}

function send_email($mailto, $from_mail, $from_name, $replyto, $subject, $message) {

    require_once('lib/vendor/autoload.php');

    //SMTP needs accurate times, and the PHP time zone MUST be set
    //This should be done in your php.ini, but this is how to do it if you don't have access to that
    date_default_timezone_set('Etc/UTC');

    //Create a new PHPMailer instance
    $mail = new PHPMailer;

    if( IS_SMTP ){
        //Tell PHPMailer to use SMTP
        $mail->isSMTP();

        //Enable SMTP debugging
        $mail->SMTPDebug = 0;

        //Ask for HTML-friendly debug output
        $mail->Debugoutput = 'html';

        //Set the hostname of the mail server
        $mail->Host = SMTP_HOST;
        // use
        // $mail->Host = gethostbyname('smtp.gmail.com');
        // if your network does not support SMTP over IPv6
        
        //Set the SMTP port number - 587 for authenticated TLS, a.k.a. RFC4409 SMTP submission
        $mail->Port = 587;

        //Set the encryption system to use - ssl (deprecated) or tls
        $mail->SMTPSecure = 'tls';

        //Whether to use SMTP authentication
        $mail->SMTPAuth = true;

        //Username to use for SMTP authentication - use full email address for gmail
        $mail->Username = SMTP_USERNAME;

        //Password to use for SMTP authentication
        $mail->Password = SMTP_PASSWORD;
    }


    //Set who the message is to be sent from
    $mail->setFrom( $from_mail, $from_name );

    //Set an alternative reply-to address
    $mail->addReplyTo(EMAIL_TO, SITE_NAME);

    //Set who the message is to be sent to
    $mail->addAddress($mailto, $mailto);

    //Set the subject line
    $mail->Subject = $subject;

    //Read an HTML message body from an external file, convert referenced images to embedded,
    //convert HTML into a basic plain-text alternative body
    $mail->Body = $message;

    //Replace the plain text body with one created manually
    $mail->AltBody = $message;

    //Attach an image file
    // $mail->addAttachment('entries_logs.txt');

    $mail->send();

}

function log_entries($buffer){
    
    date_default_timezone_set("Australia/Perth");

    $buffer = '[' . date("Y-m-d h:i:sa") . '] ' . strip_tags( $buffer );

    $file = 'entries_logs.txt';
    if (file_exists($file)) {
        $buffer = file_get_contents($file) . "\n" . $buffer;
    }
    $success = file_put_contents($file, $buffer);
}

// echo str_replace( 'thank-you-email/email.php', '', "http://".$_SERVER['HTTP_HOST'].$_SERVER['REQUEST_URI'] );

?>